Structured Blobs
3
GSF Library

# Structured Blobs

## Synopsis

                GsfStructuredBlob;
    gboolean    gsf_structured_blob_write       (GsfStructuredBlob *blob,
                                                 GsfOutfile *container);
    GsfStructuredBlob* gsf_structured_blob_read (GsfInput *input);

## Object Hierarchy

      GObject
       +----GsfInput
             +----GsfInfile
                   +----GsfStructuredBlob

## Description

## Details

### GsfStructuredBlob

    typedef struct _GsfStructuredBlob GsfStructuredBlob;

### gsf_structured_blob_write ()

    gboolean    gsf_structured_blob_write       (GsfStructuredBlob *blob,
                                                 GsfOutfile *container);

Dumps structured blob `blob` onto the `container`. Will fail if the output is not an Outfile and blob has multiple streams.

`blob` :

`container` :

Returns :

  : TRUE on success.

### gsf_structured_blob_read ()

    GsfStructuredBlob* gsf_structured_blob_read (GsfInput *input);

`input` :

  An input (potentially a GsfInfile) holding the blob

Returns :

  a freshly created tree of blobs